import { KafkaMessage } from 'kafkajs';
import { IAction } from '../types';
export declare function createTopic(topic: string): Promise<void>;
export declare function seedTopic(topic: string, seedMessages?: any[]): Promise<void>;
export declare function deleteTopic(topic: string): Promise<void>;
export declare function withTopicCleanup(topics: string[], seeding?: boolean): (testBody: (t: string[]) => Promise<void>) => Promise<void>;
export declare function createKafkaMessageFromAction<Payload>(action: IAction<Payload>): KafkaMessage;
export declare const sampleMessages: ({
    transaction_id: string;
    payload: {
        bart: string;
        lisa?: undefined;
        homer?: undefined;
        marge?: undefined;
    };
} | {
    transaction_id: string;
    payload: {
        lisa: string;
        bart?: undefined;
        homer?: undefined;
        marge?: undefined;
    };
} | {
    transaction_id: string;
    payload: {
        homer: string;
        bart?: undefined;
        lisa?: undefined;
        marge?: undefined;
    };
} | {
    transaction_id: string;
    payload: {
        marge: string;
        bart?: undefined;
        lisa?: undefined;
        homer?: undefined;
    };
})[];
