import { Kafka, ProducerConfig } from 'kafkajs';
import { IAction } from './types';
import pino from 'pino';
export declare class ThrottledProducer {
    protected kafka: Kafka;
    protected producerConfig: Omit<ProducerConfig, 'allowAutoTopicCreation' | 'maxInFlightRequests' | 'idempotent'> & {
        maxOutgoingBatchSize?: number;
        flushIntervalMs?: number;
    };
    recordsSent: number;
    private producer;
    private isConnected;
    private intervalTimeout;
    private recordQueue;
    private isFlushing;
    private logger;
    constructor(kafka: Kafka, producerConfig?: Omit<ProducerConfig, 'allowAutoTopicCreation' | 'maxInFlightRequests' | 'idempotent'> & {
        maxOutgoingBatchSize?: number;
        flushIntervalMs?: number;
    }, logger?: pino.Logger);
    putAction: <Action extends IAction<import("./types").DefaultPayload>>(action: Action) => Promise<void>;
    connect: () => Promise<void>;
    disconnect: () => Promise<void>;
    private createProducer;
    private flush;
}
