import { IAction, IEffectDescription, ITakeEffectDescription, IPutEffectDescription, ICallEffectDescription, IActionChannelEffectDescription, TakePattern, ActionChannelInput, ICombinatatorEffectDescription, IPredicateRecord, IDelayEffectDescription, IKafkaJSProtocolError } from './types';
export declare function isTransactionMessage<Payload>(messageValue: IAction | any): messageValue is Omit<IAction<Payload>, 'topic'>;
export declare function isTakeEffectDescription(effectDescription: IEffectDescription): effectDescription is ITakeEffectDescription;
export declare function isPutEffectDescription<Payload = any>(effectDescription: IEffectDescription): effectDescription is IPutEffectDescription<Payload>;
export declare function isCallEffectDescription(effectDescription: IEffectDescription): effectDescription is ICallEffectDescription<any[], any>;
export declare function isEffectCombinatorDescription<Action extends IAction>(effectDescription: IEffectDescription): effectDescription is ICombinatatorEffectDescription<Action>;
export declare function isActionChannelEffectDescription(effectDescription: IEffectDescription): effectDescription is IActionChannelEffectDescription<any>;
export declare function isTakeActionChannelEffectDescription(effectDescription: IEffectDescription): effectDescription is IActionChannelEffectDescription<any>;
export declare function isDelayEffectDescription<Payload>(effectDescription: IEffectDescription): effectDescription is IDelayEffectDescription<Payload>;
export declare function actionPatternIsPredicateRecord<Action extends IAction>(pattern: TakePattern<Action> | ActionChannelInput<Action>): pattern is IPredicateRecord<Action>;
export declare function isTakePatternActuallyActionChannelEffectDescription(effectDescription: TakePattern | IActionChannelEffectDescription): effectDescription is IActionChannelEffectDescription<any>;
export declare function takeInputIsActionPattern<Action extends IAction>(takeInput: TakePattern<Action> | ActionChannelInput<Action>): takeInput is ActionChannelInput<Action>;
export declare function takeInputIsActionChannelEffectDescription<Action extends IAction>(input: TakePattern<Action> | IActionChannelEffectDescription<Action>): input is IActionChannelEffectDescription<Action>;
export declare function isGenerator(possibleGenerator: any): possibleGenerator is Generator;
export declare function isKafkaJSProtocolError(error: unknown): error is IKafkaJSProtocolError;
